Skip to main content
`Ctrl`+`K`

# DMKSPGetComputeInitialGuess

get `KSP` initial guess evaluation function

## Synopsis

    #include "petscksp.h"
    PetscErrorCode DMKSPGetComputeInitialGuess(DM dm, KSPComputeInitialGuessFn **func, void *ctx)

Not Collective

## Input Parameter

- dm - `DM` used with a `KSP`

## Output Parameters

- func - initial guess evaluation function, for calling sequence see `KSPComputeInitialGuessFn`

- ctx - context for right-hand side evaluation

## See Also

KSP: Linear System Solvers, `DMKSP`, `DM`, `KSP`, `DMKSPSetContext()`, `KSPSetComputeRHS()`, `DMKSPSetComputeRHS()`, `KSPComputeInitialGuessFn`

## Level

advanced

## Location

src/ksp/ksp/interface/dmksp.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages